/api/v1/projects/{projectId}/tickets

This can be used to create a new project ticket.

Please note:

  • Project ticket categories, tags, types, etc. have their own endpoints to be managed. They can be added on ticket creation if they already exist.
Path Params
string
required
Body Params
string

The unique identifier of the source. This is a user-generated string. You can use this to link the person to a resource in an external system.

string | null

The name of the ticket. Usually a short description of the issue.

string | null

The description of the ticket. A more detailed description of the issue.

string | null

Unique ID of the category this ticket belongs to. If not provided, the ticket will be uncategorised.

string | null
enum

The status of the ticket.

Allowed:
tag_ids
array of strings | null

List of the unique IDs of tags associated with this ticket. If not provided, the ticket will be untagged.

tag_ids
string | null

ID of the ticket type. If not provided, the ticket will be uncategorised.

string | null

The deadline for resolving the ticket. Can be as simple as a date or a full timestamp.

string | null

Unique ID of the project company responsible for this ticket. This can be obtained from the project contact book.

responsible_ids
array of strings | null

List of the unique IDs of the responsible users for this ticket. These are not the IDs of the people in the project contact book. Instead, these are their user IDs as registered in our platform.

responsible_ids
number | null

The estimated cost associated with the ticket in Euros.

string | null

ID of the room listing to associate with this ticket.

Headers
string

The HTTP Request-Id request header is an optional and unofficial HTTP header, used to trace individual HTTP requests from the client to the server and back again. It allows the client and server to correlate each HTTP request. If not provided by the client, the server should generate a unique request ID and include it in the response.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json